body {
    cursor: default;
}
div.hex {
    font:13px "Lucida Console", "Courier New", Courier, monospace;
    white-space: pre;
    /*position: relative;*/
}
div.hex.drag {
    background:red;
}
div.hex .cursor {
    display:inline-block;
    position: absolute;
    top: 0;
    left: 0;
    height: 1em;
    font-weight: bold;
}
div.hex .cursor .cursorinner {
    border-left: 2px solid black;
}
div.hex .cursor.nibble .cursorinner {
    margin-left: 0.55em;
}
div.hex .hexrow {
    line-height: 1.2em;

}
div.hex .hexrow .head {
    color:blue;
    cursor:default;
    padding-right: 0.5em;
    padding-left: 0.5em;
    border-left: 1px dashed #ccc;
}
div.hex .hexrow .hexcolumn {
    padding-left: 0.5em;
    padding-right: 0.5em;
    border-left: 1px dashed #ccc;
    border-right: 1px dashed #ccc;
}
div.hex .hexrow .charcolumn {
    padding-left: 0.5em;
    padding-right: 0.5em;
    border-right: 1px dashed #ccc;
}
div.hex .hexrow .textcolumn {
    overflow: hidden;
    height: 1em;
    display: inline-block;
    color: #333;
    padding-left: 1em;
}
div.hex .hexrow .hexcolumn .byte {
    color: black;
    padding-right: 2px;
}
div.hex .hexrow .charcolumn .char {
    color: black;
}
div.hex .hexrow .hexcolumn .byte.enabled, div.hex .hexrow .charcolumn .char.enabled {
    cursor: auto;
}
div.hex .hexrow .charcolumn .char.over, div.hex .hexrow .hexcolumn .byte.over {
    background: #eee;
}
div.hex .hexrow .hexcolumn .byte.selected, div.hex .hexrow .charcolumn .char.selected {
    color: white;
    background-color: cornflowerblue;
}
#hexoutput {
    font:12px "Lucida Console", "Courier New", Courier, monospace;
    white-space: pre;
}
.treeelement {
    cursor: default;
}
.treeelement .treetitle {
    color: #000;
}
.treeelement .treetitle .treetitletype {
    color: purple;
    padding-right: 1em;
}
.treeelement .treetitle .treetitlename {
    color: black;
}
.treeelement .treetitle .treetitlevalue {
    padding-left: 1em;
    color: green;
}
.treeelement .treetitle .treetitlevalue::before {
    content: ': ';
    color: black;
}
.treeelement .treetitle.expanded {
}
.treeelement .treetitle.treehaschildren {
    font-weight: bold;
}
.treeelement .treetitle.treehaschildren.expanded::before {
    content: "- ";
    color: #777;
}
.treeelement .treetitle.treehaschildren.unexpanded::before {
    content: "+ ";
    color: #777;
}
.treeelement .treetitle {
    padding: 3px 8px;
}
.treeelement .treetitle:hover {
    color: #00f;
    background: #eee;
    border-radius: 8px 8px 0 0;
}
.treeelement .treetitle.treenohaschildren:hover {
    border-radius: 8px 8px 8px 8px;
}
.treeelement .treetitle.treehaschildren.unexpanded {
    /*border-radius: 8px 8px 8px 8px;*/
    padding-bottom: 2px;
    border-bottom: 1px dashed #ddd;
}
.treeelement .treetitle.treehaschildren.unexpanded:hover {
    /*border-radius: 8px 8px 8px 8px;*/
    padding-bottom: 2px;
    border-bottom: 1px dotted #777;
}
.treeelement .treetitle:hover + .treechildren {
    background: #f7f7f7;
    border-radius: 0 0 8px 8px;
}
.treeelement .treechildren {
    padding-left: 12px;
    border-left: 1px dashed #ddd;
    display: none;
}
.treeelement .treechildren.expanded {
    display: block;
}
.itemlink {
    color:blue;
    margin-right:1em;
    cursor: pointer;
}
.itemlink:hover {
    text-decoration: underline;
}
.hexrgbsample {
    background-size:100% 100%;
    width: 1em;
    height: 0.7em;
    border: 1px solid black;
    display: inline-block;
}